org.apache.storm.cassandra.trident.state

## Class CassandraState

- java.lang.Object
- - org.apache.storm.cassandra.trident.state.CassandraState

- All Implemented Interfaces:
    State

      public class CassandraState
      extends Object
      implements State

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CassandraState.Options`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CassandraState(Map<String,Object> conf, CassandraState.Options options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<List<Values>>` | `batchRetrieve(List<TridentTuple> tridentTuples)`
    `void` | `beginCommit(Long txid)`
    `void` | `cleanup()`
    `void` | `commit(Long txid)`
    `void` | `prepare()`
    `void` | `updateState(List<TridentTuple> tuples, TridentCollector collector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CassandraState

          protected CassandraState(Map<String,Object> conf,
                                   CassandraState.Options options)

  - ### Method Detail

    - #### beginCommit

          public void beginCommit(Long txid)

      Specified by:
        `beginCommit` in interface `State`

    - #### commit

          public void commit(Long txid)

      Specified by:
        `commit` in interface `State`

    - #### prepare

          public void prepare()

    - #### cleanup

          public void cleanup()

    - #### updateState

          public void updateState(List<TridentTuple> tuples,
                                  TridentCollector collector)

    - #### batchRetrieve

          public List<List<Values>> batchRetrieve(List<TridentTuple> tridentTuples)

Copyright © 2021 The Apache Software Foundation. All rights reserved.